apiVersion: v1
kind: Namespace
metadata:
  name: ckad-ns8
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: ex8-pv
  namespace: ckad-ns8
  labels:
    type: local
spec:
  storageClassName: manual
  capacity:
    storage: 2Gi
  accessModes:
    - ReadWriteMany 
  hostPath:
    path: "/mnt/data"
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  namespace: ckad-ns8
  name: ex8-pvc
spec:
  storageClassName: manual
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 1Gi
---
apiVersion: v1
kind: Pod
metadata:
  namespace: ckad-ns8
  name: ex8-pod
spec:
  volumes:
    - name: task-pv-storage
      persistentVolumeClaim:
        claimName: ex8-pvc
  containers:
    - name: task-pv-container
      image: nginx
      ports:
        - containerPort: 80
          name: "http-server"
      volumeMounts:
        - mountPath: "/usr/share/nginx/html"
          name: task-pv-storage

